TagLib crash on corrupt OggVorbis file when scanning library

Reported by John Mitchell on 2012-06-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mixxx
Critical
RJ Ryan

Bug Description

Scanning Library causes Mixxx to crash.

Backtrace:

Last login: Fri Jun 22 18:00:25 on ttys000
Johns-MacBook-Pro:~ neufena$ gdb /Applications/Mixxx.app/Contents/MacOS/Mixxx
GNU gdb 6.3.50-20050815 (Apple version gdb-1708) (Thu Nov 3 21:59:02 UTC 2011)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin"...Reading symbols for shared libraries ........................... done

(gdb) set height 0
(gdb) run
Starting program: /Applications/Mixxx.app/Contents/MacOS/Mixxx
Reading symbols for shared libraries ++++++++++++++++++++++++++.............................................................................................................................................. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Debug [Main]: Setting Qt plugin search path to: "/Applications/Mixxx.app/Contents/PlugIns"
Debug [Main]: Mixxx 1.11.0-beta1 "(bzr r3276; built on: Jun 21 2012 @ 14:10:58; flags: coreaudio hid hifieq hss1394 optimize qdebug shoutcast test vamp verbose vinylcontrol)" is starting...
Debug [Main]: Qt version is: 4.7.3
Warning [Main]: Configuration file is at version "1.11.0" instead of the current 1.11.0-beta1
Debug [Main]: Loading translations for locale "en_US" from translations folder "/Applications/Mixxx.app/Contents/MacOS/../Resources/translations/" : fail
Debug [Main]: Could not read ""
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel1]" , "vinylcontrol_mode" )
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel2]" , "vinylcontrol_mode" )
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries .warning: Could not find object file "/Developer/usr/bin/../lib/gcc/i686-apple-darwin10/4.2.1/crt3.o" - no debug information available for "/var/tmp/gcc/gcc-5664~89/src/gcc/config/darwin-crt3.c".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackShmMem.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackShmMem.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/shm.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/shm.c".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackActivationCount.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackActivationCount.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackGraphManager.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackGraphManager.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackPort.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackPort.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackClient.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackClient.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackAPI.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackAPI.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackLibClient.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackLibClient.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackLibAPI.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackLibAPI.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackConnectionManager.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackConnectionManager.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackFrameTimer.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackFrameTimer.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMachSemaphore.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/JackMachSemaphore.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMachThread.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/JackMachThread.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackGlobals.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackGlobals.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/ringbuffer.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/ringbuffer.c".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackDebugClient.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackDebugClient.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackTransportEngine.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackTransportEngine.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/timestamps.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/timestamps.c".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackPortType.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackPortType.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackAudioPort.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackAudioPort.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMidiPort.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackMidiPort.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMidiAPI.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackMidiAPI.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackEngineControl.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackEngineControl.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackTools.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackTools.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackError.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackError.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMessageBuffer.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../common/JackMessageBuffer.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackPosixServerLaunch.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../posix/JackPosixServerLaunch.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackPosixThread.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../posix/JackPosixThread.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackMachTime.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/JackMachTime.c".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackProcessSync.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../posix/JackProcessSync.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackSocketClientChannel.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../posix/JackSocketClientChannel.cpp".

warning: Could not find object file "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/build/Jackdmp.build/Deployment/Jackmp.framework 64 bits.build/Objects-normal/i386/JackSocket.o" - no debug information available for "/Volumes/Document1/Developpement/ProjectsCVS/JackCVS/jack2-svn/tags/release-1.9.7.1/macosx/../posix/JackSocket.cpp".

warning: Could not find object file "/Developer/usr/lib/gcc/i686-apple-darwin10/4.2.1/libgcc.a(_eprintf.o)" - no debug information available for "/var/tmp/gcc/gcc-5664~89/src/gcc/libgcc2.c".

. done
Reading symbols for shared libraries . done
Debug [Main]: Available QtSQL drivers: ("QSQLITE")
Debug [Main]: src/library/trackcollection.cpp DB status: true
Debug [Main]: SchemaManager::upgradeToSchemaVersion already at version 17
Debug [Main]: TrackDAO::initialize QThread(0x437dd80, name = "Main") "qt_sql_default_connection"
Debug [Main]: CrateDAO::initialize()
Debug [Main]: CueDAO::initialize QThread(0x437dd80, name = "Main") "qt_sql_default_connection"
Debug [Main]: Promo dir: "/Applications/Mixxx.app/Contents/MacOS/../Resources//promo/1.8.0/index.html"
Debug [Main]: Default quick links: ("/Users/neufena/Music/iTunes/iTunes Media/Music/", "/Users/neufena/Music", "/Users/neufena/Downloads/", "/Users/neufena/Desktop/", "/Users/neufena/Documents/")
Debug [Main]: Appending Quick Link: "Music" --- "/Users/neufena/Music/iTunes/iTunes Media/Music/"
Debug [Main]: Appending Quick Link: "Musi" --- "/Users/neufena/Music"
Debug [Main]: Appending Quick Link: "Downloads" --- "/Users/neufena/Downloads/"
Debug [Main]: Appending Quick Link: "Desktop" --- "/Users/neufena/Desktop/"
Debug [Main]: Appending Quick Link: "Documents" --- "/Users/neufena/Documents/"
Debug [Main]: Creating session history playlist name: "2012-06-22 (2)"
Debug [Main]: Committing transaction on "qt_sql_default_connection" result: true
Debug [Main]: Found "Traktor 2.5.0"
Debug [Main]: Traktor Library Location=[ "/Users/neufena/Documents/Native Instruments/Traktor 2.5.0/collection.nml" ]
Debug [Main]: AnalyserWaveform::AnalyserWaveform()
Debug [Main]: Setting VAMP_PATH to: "/Applications/Mixxx.app/Contents/MacOS/../Plugins:/Applications/Mixxx.app/Contents/MacOS/osx32_build/vamp-plugins:/Applications/Mixxx.app/Contents/MacOS/osx64_build/vamp-plugins:/Users/neufena/Library/Application Support/Mixxx/Plugins/vamp/"
Warning [Main]: ControlObject::getControl returning NULL for ( "[Flanger]" , "lfoDepth" )
Warning [Main]: ControlObject::getControl returning NULL for ( "[Flanger]" , "lfoDelay" )
Warning [Main]: ControlObject::getControl returning NULL for ( "[Flanger]" , "lfoPeriod" )
Debug [Main]: Constructed LibraryScanner
Debug [Main]: iTunes Album Art path is: "/Users/neufena/Music/iTunes/Album Artwork"
Debug [Main]: Creating ControllerManager
Warning [Main]: Error parsing xml file: "/Applications/Mixxx.app/Contents/Resources/controllers/Behringer BCD2000.midi.xml"
Debug [Main]: ERROR parsing "/Applications/Mixxx.app/Contents/Resources/controllers/Behringer BCD2000.midi.xml"
Warning [Main]: Error parsing xml file: "/Applications/Mixxx.app/Contents/Resources/controllers/Hercules DJ Control AIR.midi.xml"
Debug [Main]: ERROR parsing "/Applications/Mixxx.app/Contents/Resources/controllers/Hercules DJ Control AIR.midi.xml"
Debug [Main]: Extension ".cntrlr.xml" total 7 presets
Debug [Main]: Extension ".midi.xml" total 56 presets
Reading symbols for shared libraries .. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Debug [Main]: Promo dir: "/Applications/Mixxx.app/Contents/MacOS/../Resources//promo/1.8.0/index.html"
Debug [Main]: loadSettings: 1 0 Additive
Debug [Main]: slotApply crossfader: 1 Additive
Debug [Main]: Setting VAMP_PATH to: "/Applications/Mixxx.app/Contents/MacOS/../Plugins:/Applications/Mixxx.app/Contents/MacOS/osx32_build/vamp-plugins:/Applications/Mixxx.app/Contents/MacOS/osx64_build/vamp-plugins:/Users/neufena/Library/Application Support/Mixxx/Plugins/vamp/:/Applications/Mixxx.app/Contents/MacOS/../Plugins:/Applications/Mixxx.app/Contents/MacOS/osx32_build/vamp-plugins:/Applications/Mixxx.app/Contents/MacOS/osx64_build/vamp-plugins:/Users/neufena/Library/Application Support/Mixxx/Plugins/vamp/"
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Debug [Main]: VampPluginLoader::listPlugins() returned 2 plugins
Reading symbols for shared libraries . done
Debug [Main]: Plugin output displayname: "qm-barbeattracker:0" "Bar and Beat Tracker"
Debug [Main]: Plugin output displayname: "qm-barbeattracker:1" "Bar and Beat Tracker"
Debug [Main]: Plugin output displayname: "qm-barbeattracker:2" "Bar and Beat Tracker"
Debug [Main]: Plugin output displayname: "qm-barbeattracker:3" "Bar and Beat Tracker"
Reading symbols for shared libraries . done
Debug [Main]: Plugin output displayname: "qm-tempotracker:0" "Queen Mary Tempo and Beat Tracker"
Debug [Main]: Plugin output displayname: "qm-tempotracker:1" "Queen Mary Tempo and Beat Tracker"
Debug [Main]: Plugin output displayname: "qm-tempotracker:2" "Queen Mary Tempo and Beat Tracker"
Debug [Main]: ControllerManager::getControllerList
Debug [Main]: SoundManager::setupDevices()
Debug [Main]: SoundDevicePortAudio::open() "1, Built-in Output"
Debug [Main]: framesPerBuffer: 1024
Debug [Main]: Requested sample rate: 48000 Hz, latency: 21.3333 ms
Debug [Main]: Output channels: 2 | Input channels: 0
Debug [Main]: Opening stream with id 1
Reading symbols for shared libraries . done
Debug [Main]: Opened PortAudio stream successfully... starting
Debug [Main]: PortAudio: Started stream successfully
Debug [Main]: Actual sample rate: 48000 Hz, latency: 0 ms
Debug [Main]: Using "Built-in Output" as output sound device clock reference
Debug [Main]: 1 output sound devices opened
Debug [Main]: 0 input sound devices opened
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries .. done
Warning [Main]: ControlObject::getControl returning NULL for ( "[Samplers]" , "show_samplers" )
Warning [Main]: Requested control does not exist: "[Samplers],show_samplers" . Creating it.
Debug [Main]: Making property binder for "visible"
Warning [Main]: Object::connect: No such slot QGroupBox::setProperty(const char*, const QVariant&) in src/skin/propertybinder.cpp:15
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Sampler1]" , "" )
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Sampler2]" , "" )
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Sampler3]" , "" )
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Sampler4]" , "" )
Debug [Main]: BaseTrackCache(0x70dc150) updateIndexWithQuery took 0 ms
Debug [Main]: Query: " "" " parsed to: ""
Debug [Main]: PlaylistTableModel(0x1132f720) select() took 0 ms
Debug [Main]: Recordings folder set to "/Users/neufena/Music/iTunes/iTunes Media/Music/Mixxx/Recordings"
Debug [Main]: Query: " "" " parsed to: "WHERE ((datetime_added > datetime('now', '-7 days')))"
Debug [Main]: PrepareLibraryTableModel(0x11dba650) select() took 1 ms
Debug [Main]: Query: " "" " parsed to: "WHERE ((datetime_added > datetime('now', '-7 days')))"
Debug [Main]: PrepareLibraryTableModel(0x11dba650) select() took 0 ms
Debug [Main]: Query: " "" " parsed to: "WHERE ((datetime_added > datetime('now', '-7 days')))"
Debug [Main]: PrepareLibraryTableModel(0x11dba650) select() took 1 ms
Debug [Main]: DlgPrepare(0x11d8f570, name = "DlgPrepare") analysisActive false
Debug [Main]: MixxxLibraryFeature::activate()
Debug [Main]: Query: " "" " parsed to: ""
Debug [Main]: LibraryTableModel(0x70e3430) select() took 1 ms
Debug [Main]: WSearchLineEdit::restoreSearch( "" )
Warning [Main]: ControlObject::getControl returning NULL for ( "[Vinylcontrol]" , "show_vinylcontrol" )
Warning [Main]: Requested control does not exist: "[Vinylcontrol],show_vinylcontrol" . Creating it.
Debug [Main]: Making property binder for "visible"
Warning [Main]: Object::connect: No such slot QGroupBox::setProperty(const char*, const QVariant&) in src/skin/propertybinder.cpp:15
Warning [Main]: ControlObject::getControl returning NULL for ( "[Microphone]" , "show_microphone" )
Warning [Main]: Requested control does not exist: "[Microphone],show_microphone" . Creating it.
Debug [Main]: Making property binder for "visible"
Warning [Main]: Object::connect: No such slot QGroupBox::setProperty(const char*, const QVariant&) in src/skin/propertybinder.cpp:15
Warning [Main]: QGLContext::makeCurrent: Cannot make invalid context current
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel1]" , "" )
Debug [Main]: WaveformWidgetFactory::setWaveformWidget - waveform widget added in factory, index 0
Warning [Main]: Object::connect: No such signal WWaveformViewer::valueReset() in src/controlobjectthreadwidget.cpp:35
Warning [Main]: Object::connect: (receiver name: 'ControlObjectThreadMain')
Warning [Main]: ControlObject::getControl returning NULL for ( "[Spinny1]" , "show_spinny" )
Warning [Main]: Requested control does not exist: "[Spinny1],show_spinny" . Creating it.
Debug [Main]: Making property binder for "visible"
Warning [Main]: Object::connect: No such slot QGroupBox::setProperty(const char*, const QVariant&) in src/skin/propertybinder.cpp:15
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel1]" , "" )
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel2]" , "" )
Debug [Main]: WaveformWidgetFactory::setWaveformWidget - waveform widget added in factory, index 1
Warning [Main]: Object::connect: No such signal WWaveformViewer::valueReset() in src/controlobjectthreadwidget.cpp:35
Warning [Main]: Object::connect: (receiver name: 'ControlObjectThreadMain')
Warning [Main]: ControlObject::getControl returning NULL for ( "[Spinny2]" , "show_spinny" )
Warning [Main]: Requested control does not exist: "[Spinny2],show_spinny" . Creating it.
Debug [Main]: Making property binder for "visible"
Warning [Main]: Object::connect: No such slot QGroupBox::setProperty(const char*, const QVariant&) in src/skin/propertybinder.cpp:15
Warning [Main]: WaveformSignalColors::fallBackFromSignalColor - skin do not provide low/mid/high signal colors
Warning [Main]: ControlObject::getControl returning NULL for ( "[Channel2]" , "" )
Debug [Main]: Displaying mixxx
Debug [Controller]: ControllerManager: Setting up devices
Debug [Controller]: Scanning PortMIDI devices:
Debug [Controller]: Scanning HSS1394 devices:
Reading symbols for shared libraries . done
Debug [Main]: resize QSize(1280, 700)
Debug [Controller]: Nodes detected: 0
Debug [Controller]: Scanning HID devices:
Reading symbols for shared libraries . done
Debug [Controller]: Blacklisting 0x441f230 0x441f1e0 "r22" S/N 0x441f300 "Usage Page 12 Usage 1"
Debug [Controller]: Found 0x441f380 0x441ef30 "r280" S/N 0x441f120 "Usage Page 1 Usage 2"
Debug [Controller]: Blacklisting 0x441f0c0 0x441ed10 "r280" S/N 0x441ef10 "Usage Page 65280 Usage 1"
Debug [Controller]: Found 0x441ec80 0x441eac0 "r280" S/N 0x441ecd0 "Usage Page 1 Usage 6"
Debug [Controller]: Found 0x441eea0 0x441e9d0 "r0" S/N 0x441ecf0 "Usage Page 12 Usage 1"
Debug [Controller]: Found 0x441ec30 0x441e7b0 "r0" S/N 0x441e9b0 "Usage Page 1 Usage 2"
Debug [Controller]: ControllerManager::getControllerList
Debug [Controller]: Loading controller preset from "/Users/neufena/Library/Application Support/Mixxx/controllers/Apple_Internal_Keyboard_/_Trackpad_.cntrlr.xml"
Debug [Controller]: "Apple" settings found
Debug [Controller]: Loading controller preset from "/Users/neufena/Library/Application Support/Mixxx/controllers/Apple_Internal_Keyboard_/_Trackpad_--2.cntrlr.xml"
Debug [Controller]: "Apple" settings found
Debug [Controller]: Loading controller preset from "/Users/neufena/Library/Application Support/Mixxx/controllers/Apple_Mikey_HID_Driver_.cntrlr.xml"
Debug [Controller]: "Apple" settings found
Debug [Controller]: Loading controller preset from "/Users/neufena/Library/Application Support/Mixxx/controllers/Apple_Internal_Keyboard_/_Trackpad_--3.cntrlr.xml"
Debug [Controller]: "Apple" settings found
Debug [Controller]: Controller polling stopped.
Warning [Main]: WaveformRenderBackground::generatePixmap - file( "/Applications/Mixxx.app/Contents/MacOS/../Resources/skins/Deere1280x800-WXGA/style/style_bg_waveform.png" ) do not fit the waveform widget size ...
Warning [Main]: WaveformRenderBackground::generatePixmap - file( "/Applications/Mixxx.app/Contents/MacOS/../Resources/skins/Deere1280x800-WXGA/style/style_bg_waveform.png" ) do not fit the waveform widget size ...
Debug [Main]: Running Mixxx
Reading symbols for shared libraries . done
Debug [Main]: ControllerManager::getControllerList
Reading symbols for shared libraries ... done
Debug [LibraryScanner 1]: LibraryHashDAO::initialize LibraryScanner(0xf85ccb0, name = "LibraryScanner 1") "LIBRARY_SCANNER"
Debug [LibraryScanner 1]: CueDAO::initialize LibraryScanner(0xf85ccb0, name = "LibraryScanner 1") "LIBRARY_SCANNER"
Debug [LibraryScanner 1]: TrackDAO::initialize LibraryScanner(0xf85ccb0, name = "LibraryScanner 1") "LIBRARY_SCANNER"
Debug [LibraryScanner 1]: upgrade filename is "/Users/neufena/Library/Application Support/Mixxx/DBUPGRADED"
Debug [LibraryScanner 1]: Committing transaction on "LIBRARY_SCANNER" result: true
Debug [LibraryScanner 1]: Legacy importer took 0 ms
Debug [LibraryScanner 1]: Recursively scanning library.
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [Main]: Query: " "" " parsed to: ""
Debug [Main]: MissingTableModel(0x70e4f90) select() took 1 ms
Debug [Main]: WSearchLineEdit::restoreSearch( "" )
Debug [Main]: Query: " "" " parsed to: ""
Debug [Main]: HiddenTableModel(0x70e6430) select() took 1 ms
Debug [Main]: WSearchLineEdit::restoreSearch( "" )
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [Main]: MixxxLibraryFeature::activate()
Debug [Main]: Query: " "" " parsed to: ""
Debug [Main]: LibraryTableModel(0x70e3430) select() took 1 ms
Debug [Main]: WSearchLineEdit::restoreSearch( "" )
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Debug [LibraryScanner 1]: New BeatGrid
Mixxx(12944,0xb030b000) malloc: *** mmap(size=1342177280) failed (error code=12)
*** error: can't allocate region
*** set a breakpoint in malloc_error_break to debug
terminate called throwing an exception
Program received signal SIGABRT, Aborted.
[Switching to process 12944 thread 0xe00f]
0x917749c6 in __pthread_kill ()
(gdb) thread apply all bt

Thread 21 (process 12944):
#0 0x91774a62 in read$NOCANCEL$UNIX2003 ()
#1 0x99fb1ee6 in __sread ()
#2 0x99fb1f0e in _sread ()
#3 0x99fb2465 in __srefill1 ()
#4 0x99fb3189 in __fread ()
#5 0x99fb301f in fread ()
#6 0x03c6fc5e in TagLib::File::readBlock ()
#7 0x03c45bee in TagLib::MPEG::File::findID3v2 ()
#8 0x03c45fb3 in TagLib::MPEG::File::read ()
#9 0x03c463fa in TagLib::MPEG::File::File ()
#10 0x0043c3e4 in SoundSourceOggVorbis::length ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 19 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f617f5 in pthread_cond_timedwait ()
#3 0x008a2d84 in QWaitCondition::wait ()
#4 0x0091ca2c in QThreadPoolThread::run ()
#5 0x009206b6 in QThreadPrivate::start ()
#6 0x99fb5ed9 in _pthread_start ()
#7 0x99fb96de in thread_start ()

Thread 17 (process 12944):
#0 0x91772c22 in mach_msg_trap ()
#1 0x917721f6 in mach_msg ()
#2 0x918de9da in __CFRunLoopServiceMachPort ()
#3 0x918e7b04 in __CFRunLoopRun ()
#4 0x918e71dc in CFRunLoopRunSpecific ()
#5 0x918f7f01 in CFRunLoopRun ()
#6 0x03cfdc06 in localDispatchThread ()
#7 0x99fb5ed9 in _pthread_start ()
#8 0x99fb96de in thread_start ()

Thread 16 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x03cfea39 in localUpcallThread ()
#4 0x99fb5ed9 in _pthread_start ()
#5 0x99fb96de in thread_start ()

Thread 15 (process 12944):
#0 0x91772c22 in mach_msg_trap ()
#1 0x917721f6 in mach_msg ()
#2 0x03fb7f67 in XServerMachPort::ReceiveMessage ()
#3 0x03fdaf5b in MIDIProcess::RunMIDIInThread ()
#4 0x03fdb8e2 in MIDIProcess::MIDIInPortThread::Run ()
#5 0x03fb953b in XThread::RunHelper ()
#6 0x03fb8f05 in CAPThread::Entry ()
#7 0x99fb5ed9 in _pthread_start ()
#8 0x99fb96de in thread_start ()

Thread 14 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x002c85f0 in QList<LegacyPlaylist>::append ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 13 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x002c85f0 in QList<LegacyPlaylist>::append ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 12 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x002c85f0 in QList<LegacyPlaylist>::append ()

Thread 11 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x002c85f0 in QList<LegacyPlaylist>::append ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 10 (process 12944):
#0 0x91772c22 in mach_msg_trap ()
#1 0x917721f6 in mach_msg ()
#2 0x900ae9fe in HALB_MachPort::SendMessageWithReply ()
#3 0x900aea6a in HALB_MachPort::SendSimpleMessageWithSimpleReply ()
#4 0x900a6e5f in HALC_ProxyIOContext::IOWorkLoop ()
#5 0x900a6926 in HALC_ProxyIOContext::IOThreadEntry ()
#6 0x900a6898 in __HALC_ProxyIOContext_block_invoke_6 ()
#7 0x900a681d in HALB_IOThread::Entry ()
#8 0x99fb5ed9 in _pthread_start ()
#9 0x99fb96de in thread_start ()

Thread 9 (process 12944):
#0 0x91774b5e in select$DARWIN_EXTSN$NOCANCEL ()
#1 0x91773af6 in select ()
#2 0x009fea80 in qt_safe_select ()
#3 0x00a02c93 in QEventDispatcherUNIXPrivate::doSelect ()
#4 0x00a031cf in QEventDispatcherUNIX::processEvents ()
#5 0x009dbbd1 in QEventLoop::processEvents ()
#6 0x009dbf1a in QEventLoop::exec ()
#7 0x0091f76d in QThread::exec ()
#8 0x009206b6 in QThreadPrivate::start ()
#9 0x99fb5ed9 in _pthread_start ()
#10 0x99fb96de in thread_start ()

Thread 8 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()

Thread 7 (process 12944):
#0 0x917749c6 in __pthread_kill ()
#1 0x99fb7f78 in pthread_kill ()
#2 0x99fa8bdd in abort ()
#3 0x9329d921 in abort_message ()
#4 0x9329b1bc in default_terminate ()
#5 0x9329b1fe in safe_handler_caller ()
#6 0x9329b268 in std::terminate ()
#7 0x9329c2a0 in __cxa_throw ()
#8 0x94462401 in operator new ()
#9 0x03c78906 in std::vector<Chunk, std::allocator<Chunk> >::_M_insert_aux ()
#10 0x03c78227 in TagLib::RIFF::File::read ()
#11 0x03c7837b in TagLib::RIFF::File::File ()
#12 0x03c79bb6 in TagLib::RIFF::WAV::File::File ()
#13 0x004370df in qWarning ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 6 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x000fb9c7 in QList<EngineMaster::ChannelInfo*>::append ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 5 (process 12944):
#0 0x9177483e in __psynch_cvwait ()
#1 0x99fb9e78 in _pthread_cond_wait ()
#2 0x99f6182a in pthread_cond_wait ()
#3 0x008a2da6 in QWaitCondition::wait ()
#4 0x000e603c in non-virtual thunk to EngineWorker::~EngineWorker() ()
#5 0x043e4140 in ?? ()
Previous frame inner to this frame (gdb could not unwind past this frame)

Thread 2 (process 12944):
#0 0x9177590a in kevent ()
#1 0x9b80de10 in _dispatch_mgr_invoke ()
#2 0x9b80c85f in _dispatch_mgr_thread ()

Thread 1 (process 12944):
#0 0x91772c22 in mach_msg_trap ()
#1 0x917721f6 in mach_msg ()
#2 0x918de9da in __CFRunLoopServiceMachPort ()
#3 0x918e7b04 in __CFRunLoopRun ()
#4 0x918e71dc in CFRunLoopRunSpecific ()
#5 0x918e7088 in CFRunLoopRunInMode ()
#6 0x91db7723 in RunCurrentEventLoopInMode ()
#7 0x91dbea8b in ReceiveNextEventCommon ()
#8 0x91dbe8fa in BlockUntilNextEventMatchingListInMode ()
#9 0x9a9800d8 in _DPSNextEvent ()
#10 0x9a97f942 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#11 0x9a97bcb1 in -[NSApplication run] ()
#12 0x00cad301 in QEventDispatcherMac::processEvents ()
#13 0x009dbbd1 in QEventLoop::processEvents ()
#14 0x009dbf1a in QEventLoop::exec ()
#15 0x009dd596 in QCoreApplication::exec ()
#16 0x0018dc77 in QHash<ControlObject*, unsigned int>::remove ()
#17 0x0419eb20 in ?? ()
Previous frame inner to this frame (gdb could not unwind past this frame)
(gdb) quit
The program is running. Exit anyway? (y or n) n
Not confirmed.
(gdb) quit
The program is running. Exit anyway? (y or n) y
Johns-MacBook-Pro:~ neufena$

RJ Ryan (rryan) wrote :

Thanks for the backtrace. The crash is in TagLib. This is most likely a corrupt recording file but it could also be a corrupt file in your music library. Do you use the recording feature?

Changed in mixxx:
importance: Undecided → Critical
milestone: none → 1.11.0
RJ Ryan (rryan) wrote :

Bug #851737 is a similar TagLib related crash that this bug might be a duplicate of.

RJ Ryan (rryan) wrote :

Hi John -- to make progress on this I'll need some more info from you. Could you respond to my previous comments?

Thanks!
RJ Ryan

Changed in mixxx:
status: New → Incomplete
John Mitchell (neufena) wrote :

Sorry,

Yes I use the recording feature and removing old recordings fixed the problem. I commented on the forum that handling corrupt/invalid files in a nicer way that a crash would be good but if the problem is in Taglib this may not be possible.

RJ Ryan (rryan) on 2012-09-26
summary: - Crashes in OS X when scanning library
+ TagLib hangs in OS X when scanning library
summary: - TagLib hangs in OS X when scanning library
+ TagLib crash on corrupt OggVorbis file when scanning library
RJ Ryan (rryan) wrote :

Thanks John -- that's good to hear. I believe that our fix to Bug #999368 (updating to TagLib 1.7.2) should fix the crashing. If you find another crash that looks similar please do ping this bug.

Changed in mixxx:
status: Incomplete → Confirmed
status: Confirmed → Fix Committed
assignee: nobody → RJ Ryan (rryan)
RJ Ryan (rryan) on 2013-05-09
Changed in mixxx:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers